Bug 441192 - 855GME system freezes when switching to external monitor
855GME system freezes when switching to external monitor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-07 00:07 EDT by Jeff D. Hanson
Modified: 2009-07-14 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvnn (14.36 KB, text/plain)
2008-04-07 00:09 EDT, Jeff D. Hanson
no flags Details
dmesg (24.51 KB, application/octet-stream)
2008-04-07 00:10 EDT, Jeff D. Hanson
no flags Details
General log not specific to occurance of problem (33.73 KB, text/plain)
2008-04-07 00:11 EDT, Jeff D. Hanson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 213191 None None None Never

  None (edit)
Description Jeff D. Hanson 2008-04-07 00:07:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13) Gecko/20080325 Ubuntu/7.10 (gutsy) Firefox/2.0.0.13

Description of problem:
Fedora 9 beta w/updates.  Panasonic CF-51 with 855GME integrated video.
If I use the Fn+F3 display switch without an external monitor connected the system usually freezes. No log messages, no magic SysReq, no remote ssh, no LED toggling, no messages on serial console - just a black screen with a frozen mouse cursor. It doesn't matter if the monitor was connected when X was started. Even with it connected the switch doesn't seem to have any effect on display switching as the view is cloned regardless. There is only a small display flicker when the switch is actuated to indicated that anything happened (unless it decides to freeze).  I tried switching to the i810 driver but it can't find any devices.  The vesa driver works and switches correctly with the external monitor connected and doesn't misbehave if it's not.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-19.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1.Login to desktop with intel driver enabled.
2.Disconnect external monitor.
3.Attempt to switch to external monitor.

Actual Results:
Black screen with mouse cursor, system freeze.

Expected Results:
Either not switch or black out and return after subsequent key actuation.

Additional info:
A similar bug exists in Ubuntu Hardy 8.04 beta with a Toshiba M35X-S114 using the same chipset:  https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/213191
Comment 1 Jeff D. Hanson 2008-04-07 00:09:44 EDT
Created attachment 301459 [details]
lspci -vvnn
Comment 2 Jeff D. Hanson 2008-04-07 00:10:21 EDT
Created attachment 301460 [details]
dmesg
Comment 3 Jeff D. Hanson 2008-04-07 00:11:50 EDT
Created attachment 301461 [details]
General log not specific to occurance of problem
Comment 4 Bug Zapper 2008-05-14 05:00:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:01:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:35:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.